## lua-torch-paths 0~20160203-g68d579a

=== debian/changelog ===
lua-torch-paths (0~20160203-g68d579a-2) unstable; urgency=medium

  * Add autopkgtest support -- require paths to see if this package works.

 -- Zhou Mo <cdluminate@gmail.com>  Fri, 07 Oct 2016 12:06:50 +0000

lua-torch-paths (0~20160203-g68d579a-1) unstable; urgency=low

  * Initial release. Closes: #826529

 -- Zhou Mo <cdluminate@gmail.com>  Fri, 03 Jun 2016 14:23:29 +0000
