=== debian/control ===
Source: lua-torch-paths
Section: interpreters
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Zhou Mo <cdluminate@gmail.com>
Build-Depends: debhelper (>=9), cmake, dh-lua
Standards-Version: 3.9.8
Homepage: https://github.com/torch/paths
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lua-torch-paths.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lua-torch-paths.git

Package: lua-torch-paths
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, lua5.1 | luajit
XB-Lua-Versions: ${lua:Versions}
Description: Filename Manipulation Package for Torch Framework
 This package provides portable functions and variables to manipulate
 the file system :
 .
  * Manipulating filenames: functions for manipulating filenames ;
  * Directory functions: functions for listing and manipulating directories ;
  * Directory paths: paths to well known directories ;
  * Miscellaneous: uncategorized functions ;
 .
 When this package is loaded, it also computes a number of useful 
 variables indicating where the various Torch components are installed.  

Package: lua-torch-paths-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends},
         lua-torch-paths (= ${binary:Version}),
XB-Lua-Versions: ${lua:Versions}
Description: Filename Manipulation Package for Torch Framework (dev)
 This package provides portable functions and variables to manipulate
 the file system :
 .
  * Manipulating filenames: functions for manipulating filenames ;
  * Directory functions: functions for listing and manipulating directories ;
  * Directory paths: paths to well known directories ;
  * Miscellaneous: uncategorized functions ;
 .
 When this package is loaded, it also computes a number of useful 
 variables indicating where the various Torch components are installed.  
 Do not change their values.Do not change their values.
 .
 This package contains development files for lua-torch-paths.
