## lua-torch-paths 0~20170226-g4ebe222

=== debian/changelog ===
lua-torch-paths (0~20170226-g4ebe222-2) unstable; urgency=medium

  * Add watch file to monitor upstream master branch.
  * Bump debhelper compat level to 11.
  * Update copyright information.
  * Bump Standards-Version to 4.1.4 .
    + Change copyright-format URL into https form.
  * Point Vcs-* links to Salsa.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 21 Apr 2018 03:08:34 +0000

lua-torch-paths (0~20170226-g4ebe222-1) unstable; urgency=medium

  * Import snapshot.
  * Override no-symbols-control-file
  * Bump debhelper compat to 10.
  * Bump Standards-Version to 4.0.0 (requires no change).

 -- Zhou Mo <cdluminate@gmail.com>  Fri, 28 Jul 2017 09:16:57 +0000
