=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: interpreters
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Zhou Mo <cdluminate@gmail.com>
-Build-Depends: debhelper (>=9), cmake, dh-lua
-Standards-Version: 3.9.8
+Uploaders: Mo Zhou <cdluminate@gmail.com>
+Build-Depends: debhelper (>=11), cmake, dh-lua
+Standards-Version: 4.1.4
 Homepage: https://github.com/torch/paths
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lua-torch-paths.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lua-torch-paths.git
+Vcs-Browser: https://salsa.debian.org/science-team/lua-torch-paths
+Vcs-Git: https://salsa.debian.org/science-team/lua-torch-paths.git
 
 Package: lua-torch-paths
 Architecture: any
