=== debian/tests/control ===
Tests: lua.require
